mod commands;
mod state;
mod utils;
mod window;

use state::new_shared_watcher_state;
use window::setup_window;

#[cfg_attr(mobile, tauri::mobile_entry_point)]
pub fn run() {
    let watcher_state = new_shared_watcher_state();

    tauri::Builder::default()
        .plugin(tauri_plugin_dialog::init())
        .plugin(tauri_plugin_opener::init())
        .manage(watcher_state)
        .invoke_handler(tauri::generate_handler![commands::handle_selected_folder])
        .setup(|app| {
            setup_window(app)?;
            Ok(())
        })
        .run(tauri::generate_context!())
        .expect("error while running tauri application");
}
